Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl.impl
Class GeneratorControlAreaImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  com.ssaglobal.generator.genctl.impl.GeneratorControlAreaImpl

All Implemented Interfaces:
  GeneratorControlArea, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class GeneratorControlAreaImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GeneratorControlArea

An implementation of the model object 'Generator Control Area'.

The following features are implemented:

- `Template Root`
- `Output Root`
- `Property`
- `Template`
- `Helper`
- `Resource Factory`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList` | `helper` The cached value of the '`Helper`' containment reference list
`protected static java.lang.String` | `OUTPUT_ROOT_EDEFAULT` The default value of the '`Output Root`' attribute
`protected java.lang.String` | `outputRoot` The cached value of the '`Output Root`' attribute
`protected org.eclipse.emf.common.util.EList` | `property` The cached value of the '`Property`' containment reference list
`protected org.eclipse.emf.common.util.EList` | `resourceFactory` The cached value of the '`Resource Factory`' containment reference list
`protected org.eclipse.emf.common.util.EList` | `template` The cached value of the '`Template`' containment reference list
`protected static java.lang.String` | `TEMPLATE_ROOT_EDEFAULT` The default value of the '`Template Root`' attribute
`protected java.lang.String` | `templateRoot` The cached value of the '`Template Root`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `GeneratorControlAreaImpl()`

Method Summary
`java.lang.Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature, boolean resolve)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, java.lang.Class baseClass, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.String` | `getGeneratorID()`
`java.lang.String` | `getGeneratorName()`
`org.eclipse.core.runtime.Plugin` | `getGeneratorPlugin()`
`java.lang.String` | `getGeneratorVersion()`
`org.eclipse.emf.common.util.EList` | `getHelper()`
`java.lang.String` | `getOutputRoot()`
`org.eclipse.core.runtime.Plugin` | `getPlugin()`
`org.eclipse.emf.common.util.EList` | `getProperty()`
`org.eclipse.emf.common.util.EList` | `getResourceFactory()`
`org.eclipse.emf.common.util.EList` | `getTemplate()`
`java.lang.String` | `getTemplateID()`
`java.lang.String` | `getTemplateName()`
`java.lang.String` | `getTemplateRoot()`
`java.lang.String` | `getTemplateVersion()`
`void` | `setGeneratorPlugin(org.eclipse.core.runtime.Plugin plugin)`
`void` | `setOutputRoot(java.lang.String newOutputRoot)`
`void` | `setPlugin(org.eclipse.core.runtime.Plugin plugin)`
`void` | `setTemplateRoot(java.lang.String newTemplateRoot)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### TEMPLATE_ROOT_EDEFAULT

    protected static final java.lang.String TEMPLATE_ROOT_EDEFAULT

  The default value of the '`Template Root`' attribute.

  See Also:
    `getTemplateRoot()`

### templateRoot

    protected java.lang.String templateRoot

  The cached value of the '`Template Root`' attribute.

  See Also:
    `getTemplateRoot()`

### OUTPUT_ROOT_EDEFAULT

    protected static final java.lang.String OUTPUT_ROOT_EDEFAULT

  The default value of the '`Output Root`' attribute.

  See Also:
    `getOutputRoot()`

### outputRoot

    protected java.lang.String outputRoot

  The cached value of the '`Output Root`' attribute.

  See Also:
    `getOutputRoot()`

### property

    protected org.eclipse.emf.common.util.EList property

  The cached value of the '`Property`' containment reference list.

  See Also:
    `getProperty()`

### template

    protected org.eclipse.emf.common.util.EList template

  The cached value of the '`Template`' containment reference list.

  See Also:
    `getTemplate()`

### helper

    protected org.eclipse.emf.common.util.EList helper

  The cached value of the '`Helper`' containment reference list.

  See Also:
    `getHelper()`

### resourceFactory

    protected org.eclipse.emf.common.util.EList resourceFactory

  The cached value of the '`Resource Factory`' containment reference list.

  See Also:
    `getResourceFactory()`

Constructor Detail

### GeneratorControlAreaImpl

    protected GeneratorControlAreaImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getTemplateRoot

    public java.lang.String getTemplateRoot()

  Specified by:
    `getTemplateRoot` in interface `GeneratorControlArea`
  Returns:
    the value of the 'Template Root' attribute.
  See Also:
    `GeneratorControlArea.setTemplateRoot(String)`, `GenctlPackage.getGeneratorControlArea_TemplateRoot()`

### setTemplateRoot

    public void setTemplateRoot(java.lang.String newTemplateRoot)

  Specified by:
    `setTemplateRoot` in interface `GeneratorControlArea`
  Parameters:
    `newTemplateRoot` - the new value of the 'Template Root' attribute.
  See Also:
    `GeneratorControlArea.getTemplateRoot()`

### getOutputRoot

    public java.lang.String getOutputRoot()

  Specified by:
    `getOutputRoot` in interface `GeneratorControlArea`
  Returns:
    the value of the 'Output Root' attribute.
  See Also:
    `GeneratorControlArea.setOutputRoot(String)`, `GenctlPackage.getGeneratorControlArea_OutputRoot()`

### setOutputRoot

    public void setOutputRoot(java.lang.String newOutputRoot)

  Specified by:
    `setOutputRoot` in interface `GeneratorControlArea`
  Parameters:
    `newOutputRoot` - the new value of the 'Output Root' attribute.
  See Also:
    `GeneratorControlArea.getOutputRoot()`

### getProperty

    public org.eclipse.emf.common.util.EList getProperty()

  Specified by:
    `getProperty` in interface `GeneratorControlArea`
  Returns:
    the value of the 'Property' containment reference list.
  See Also:
    `GenctlPackage.getGeneratorControlArea_Property()`

### getTemplate

    public org.eclipse.emf.common.util.EList getTemplate()

  Specified by:
    `getTemplate` in interface `GeneratorControlArea`
  Returns:
    the value of the 'Template' containment reference list.
  See Also:
    `GenctlPackage.getGeneratorControlArea_Template()`

### getHelper

    public org.eclipse.emf.common.util.EList getHelper()

  Specified by:
    `getHelper` in interface `GeneratorControlArea`
  Returns:
    the value of the 'Helper' containment reference list.
  See Also:
    `GenctlPackage.getGeneratorControlArea_Helper()`

### getResourceFactory

    public org.eclipse.emf.common.util.EList getResourceFactory()

  Specified by:
    `getResourceFactory` in interface `GeneratorControlArea`
  Returns:
    the value of the 'Resource Factory' containment reference list.
  See Also:
    `GenctlPackage.getGeneratorControlArea_ResourceFactory()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          java.lang.Class baseClass,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Specified by:
    `eInverseRemove` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                                 boolean resolve)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getPlugin

    public org.eclipse.core.runtime.Plugin getPlugin()

  Specified by:
    `getPlugin` in interface `GeneratorControlArea`
  Returns:
    Returns the plugin.

### setPlugin

    public void setPlugin(org.eclipse.core.runtime.Plugin plugin)

  Specified by:
    `setPlugin` in interface `GeneratorControlArea`
  Parameters:
    `plugin` - The plugin to set.

### getTemplateVersion

    public java.lang.String getTemplateVersion()

  Specified by:
    `getTemplateVersion` in interface `GeneratorControlArea`

### getTemplateName

    public java.lang.String getTemplateName()

  Specified by:
    `getTemplateName` in interface `GeneratorControlArea`

### getTemplateID

    public java.lang.String getTemplateID()

  Specified by:
    `getTemplateID` in interface `GeneratorControlArea`

### getGeneratorPlugin

    public org.eclipse.core.runtime.Plugin getGeneratorPlugin()

  Specified by:
    `getGeneratorPlugin` in interface `GeneratorControlArea`

### setGeneratorPlugin

    public void setGeneratorPlugin(org.eclipse.core.runtime.Plugin plugin)

  Specified by:
    `setGeneratorPlugin` in interface `GeneratorControlArea`

### getGeneratorVersion

    public java.lang.String getGeneratorVersion()

  Specified by:
    `getGeneratorVersion` in interface `GeneratorControlArea`

### getGeneratorID

    public java.lang.String getGeneratorID()

  Specified by:
    `getGeneratorID` in interface `GeneratorControlArea`

### getGeneratorName

    public java.lang.String getGeneratorName()

  Specified by:
    `getGeneratorName` in interface `GeneratorControlArea`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD